Bug 1756991 - 2 inputs with same name -> uninitialized constant #<Class:0x000000000b894c38>::NonUniqueInputsError
Summary: 2 inputs with same name -> uninitialized constant #<Class:0x000000000b894c38>...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.8.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-30 11:36 UTC by Lukáš Hellebrandt
Modified: 2020-06-10 12:17 UTC (History)
6 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28995 Normal Closed 2 inputs with same name -> uninitialized constant #<Class:0x000000000b894c38>::NonUniqueInputsError 2020-06-10 10:59:30 UTC

Description Lukáš Hellebrandt 2019-09-30 11:36:30 UTC
Description of problem:
When creating a template with 2 inputs with the same name, the error "uninitialized constant #<Class:0x000000000b894c38>::NonUniqueInputsError" appears and the operation fails. No traceback in production.log. Failure is expected but it should be handled better: the message should be more user friendly and preferably, the check should be handled before submitting the form.

Version-Release number of selected component (if applicable):
Reproduced on Sat 6.6 snap 22.

How reproducible:
Deterministic

Steps to Reproduce:
1. Monitor -> Report Templates -> Create
2. Set name
3. Go to Inputs tab
4. Add input, name it "abc"
5. Add another input, name it "abc"
6. Submit

Actual results:
Error, operation failed

Expected results:
(Form not submittable because this is checked by Javascript before submission). Better error message.

Comment 3 Shira Maximov 2020-02-12 08:15:47 UTC
Created redmine issue https://projects.theforeman.org/issues/28995 from this bug

Comment 4 Bryan Kearney 2020-02-26 17:05:11 UTC
Upstream bug assigned to mshira@redhat.com

Comment 5 Bryan Kearney 2020-02-26 17:05:13 UTC
Upstream bug assigned to mshira@redhat.com

Comment 6 Bryan Kearney 2020-02-27 09:05:19 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28995 has been resolved.

Comment 7 Lukáš Hellebrandt 2020-06-10 12:17:15 UTC
Verified with Sat 6.8 snap 3.0.

Using reproducer from OP, after submitting, I get:
```
Unable to save
ERF42-3514 [Foreman::Exception]: Duplicated inputs detected: ["abc"]
```

Using Hammer, I get (no change here):
```
Could not create the template input:
  Name has already been taken
```

Adding different-named inputs works.


Note You need to log in before you can comment on or make changes to this bug.